Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 884303 - yum-builddep bash completion is bad/non-working
Summary: yum-builddep bash completion is bad/non-working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-05 21:27 UTC by Michael Schwendt
Modified: 2014-06-11 16:28 UTC (History)
5 users (show)

Fixed In Version: yum-utils-1.1.31-23.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-08 11:33:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Schwendt 2012-12-05 21:27:16 UTC
# file libchipcard-5.0.2-3.fc17.src.rpm 
libchipcard-5.0.2-3.fc17.src.rpm: RPM v3.0 src
# yum-builddep libchip<TAB><TAB>

does nothing.


# yum-builddep libch<TAB><TAB>
libchamplain-debuginfo.x86_64  libchewing-debuginfo.x86_64
libchamplain-demos.noarch      libchewing-devel.i686
libchamplain-devel.i686        libchewing-devel.x86_64
libchamplain-devel.x86_64      libchewing.i686
libchamplain-gtk-devel.i686    libchewing-python.x86_64
libchamplain-gtk-devel.x86_64  libchewing.x86_64
libchamplain-gtk.i686          libchromaprint-devel.i686
libchamplain-gtk.x86_64        libchromaprint-devel.x86_64
libchamplain.i686              libchromaprint.i686
libchamplain-vala.x86_64       libchromaprint.x86_64
libchamplain.x86_64            

does not list the local file.


# yum-builddep ./libch<TAB><TAB>

does not work either.


This isn't helpful default behaviour. :-(

Comment 1 Fedora End Of Life 2013-12-21 09:39:20 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2014-02-05 13:35:49 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Michael Schwendt 2014-02-06 21:41:00 UTC
Reproducible with:

# rpm -q yum-utils
yum-utils-1.1.31-20.fc20.noarch

Comment 5 Fedora Update System 2014-05-22 14:24:12 UTC
yum-utils-1.1.31-22.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-utils-1.1.31-22.fc20

Comment 6 Fedora Update System 2014-06-11 16:28:33 UTC
yum-utils-1.1.31-23.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.